body { font-family: verdana, sans-serif; }

h1 {
    font-size:16px;
    color:#333;
}

.player
{
    width: 100%;
    height: 100%;
}

#media-player {
    padding: 0px;
    background-color:#333;
    position: relative;
}

video, iframe {
    width: 100%;
    height: 100%;
    background:#000;
    position: absolute;
    top: 0px;
    left: 0px;
}

.media-cover {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
}

.media-controls-wrapper {
    box-sizing: border-box;
    position: absolute;
    left: 0;
    bottom: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 60px;
    padding: 10px;
    z-index: 10;
}

.media-controls-skin-padding {
    padding-bottom: 20px;
}

.media-controls {
    box-sizing: border-box;
    width: 100%;
    height: 40px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
}

.play-btn-wrapper, .fullscreen-btn-wrapper, .playback-speed-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
}


.playback-speed-wrapper {
    position: relative;
    margin-left: 5px;
}

.playback-speed-wrapper > button {
    color: rgba(255, 255, 255, .9);
    background: rgba(0, 0, 0, .8);
    border: none;
    border-radius: 3px;
    cursor: pointer;
    outline: none;
}

.playback-speed-options {
    position: absolute;
    top: -140px;
    left: -60px;
    height: 120px;
    width: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 14px;
    color: rgba(255, 255, 255, .5);
    background: rgba(0, 0, 0, .7);
    border-radius: 3px;
}

.playback-speed-options-show {
    display: block;
}

.playback-speed-options ul {
    padding: 0;
}

.playback-speed-options li {
    list-style: none;
    display: flex;
    justify-content: center;
    /*color: rgba(255, 255, 255, .9);*/
    padding: 0 5px;
    cursor: pointer;

}

.playback-speed-selected {
    font-weight: bold;
    font-size: 16px;
    color: white;
}

#fullscreen-btn {
    width: 100%;
    height: 100%;
    background: none;
    padding: 0;
    border: none;
    cursor: pointer;
}

.mute-btn-wrapper-wrapper {
    position: relative;
    width: 40px;
    height: 40px;
}

.mute-btn-wrapper {
    position: absolute;
    left: 0;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
}

#play-btn, #mute-btn {
    box-sizing: border-box;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #1AB0FF;
    border-radius: 5px;
    cursor: pointer;
}

#mute-btn {
    background-color: transparent;
}

/*.mute-btn-wrapper:hover {*/
    /*background-color: hotpink;*/
    /*height: 150px;*/
/*}*/

svg.play, svg.pause {
    display: none;
}

#play-btn.play svg.play {
    display: block;
    width: 24px;
}

#play-btn.pause svg.pause {
    display: block;
    width: 18px;
}

svg.sound-on, svg.sound-off {
    display: none;
}

#mute-btn.sound-on svg.sound-on {
    display: block;
    cursor: pointer;
    width: 24px;
}

#mute-btn.sound-off svg.sound-off {
    display: block;
    cursor: pointer;
    width: 24px;
}

#overlay-done-sharing {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    background: #272727;
    z-index: 9999;
}

#share-gate-continue {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    margin-left: 20px;
    color: white;
    font-weight: bold;
    background: #0ebc62;
    border-radius: 10px;
    cursor: pointer;
}

.annotations-link {
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    color: inherit;
}

.progress-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    width: calc(100% - 100px);
    height: 50px;
    padding: 0 0 0 10px ;
}

#progress-bar {
    width: 100%;
    display: block;
    border: 0 none;
    background: #444;
    border-radius: 2px;
    box-shadow: none;
    height: 5px;
}

#progress-bar::-moz-progress-bar {
    border-radius: 5px;
    background: #FFF;
}

@media screen and (-webkit-min-device-pixel-ratio:0) {
    #progress-bar {
        height: 8px;
    }
}

#progress-bar::-webkit-progress-bar {
    background: transparent;
    position: relative;
}

#progress-bar::-webkit-progress-value {
    border-radius: 2px;
    background: #FFF;
}

#big-play-button {
    position: absolute;
    left: 50%;
    margin-left: -50px;
    top: 50%;
    margin-top: -50px;
    width: 100px;
    height: 100px;
    background: #1AB0FF;
    border-radius: 100%;
    cursor: pointer;
    z-index: 10;
}

.thumbnail-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}

.thumbnail-overlay img {
    width: 100%;
    height: 100%;
}

.volume-slider-wrapper {
    height: 100px;
}

.rangeslider,.rangeslider__fill {
    display: block;
    -moz-box-shadow: inset 0 1px 3px rgba(0,0,0,.3);
    -webkit-box-shadow: inset 0 1px 3px rgba(0,0,0,.3);
    box-shadow: inset 0 1px 3px rgba(0,0,0,.3);
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    border-radius: 10px
}

.rangeslider {
    background: #646464;
    position: relative
}

.rangeslider--horizontal {
    height: 20px;
    width: 100%
}

.rangeslider--vertical {
    width: 10px;
    min-height: 50px;
    max-height: 100%;
    height: 100%
}

.rangeslider--disabled {
    opacity: .4
}

.rangeslider__fill {
    background: white;
    position: absolute
}

.rangeslider--horizontal .rangeslider__fill {
    top: 0;
    height: 100%
}

.rangeslider--vertical .rangeslider__fill {
    bottom: 0;
    width: 100%
}

.rangeslider__handle {
    background: #fff;
    border: 1px solid #ccc;
    cursor: pointer;
    display: inline-block;
    width: 20px;
    height: 20px;
    position: absolute;
    background-image: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0idXRmLTgiPz4gPHN2ZyB2ZXJzaW9uPSIxLjEiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+PGRlZnM+PGxpbmVhckdyYWRpZW50IGlkPSJncmFkIiBncmFkaWVudFVuaXRzPSJvYmplY3RCb3VuZGluZ0JveCIgeDE9IjAuNSIgeTE9IjAuMCIgeDI9IjAuNSIgeTI9IjEuMCI+PHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iI2ZmZmZmZiIgc3RvcC1vcGFjaXR5PSIwLjAiLz48c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiMwMDAwMDAiIHN0b3Atb3BhY2l0eT0iMC4xIi8+PC9saW5lYXJHcmFkaWVudD48L2RlZnM+PHJlY3QgeD0iMCIgeT0iMCIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgZmlsbD0idXJsKCNncmFkKSIgLz48L3N2Zz4g);
    background-size: 100%;
    background-image: -webkit-gradient(linear,50% 0,50% 100%,color-stop(0,rgba(255,255,255,0)),color-stop(100%,rgba(0,0,0,.1)));
    background-image: -moz-linear-gradient(rgba(255,255,255,0),rgba(0,0,0,.1));
    background-image: -webkit-linear-gradient(rgba(255,255,255,0),rgba(0,0,0,.1));
    background-image: linear-gradient(rgba(255,255,255,0),rgba(0,0,0,.1));
    -moz-box-shadow: 0 0 8px rgba(0,0,0,.3);
    -webkit-box-shadow: 0 0 8px rgba(0,0,0,.3);
    box-shadow: 0 0 8px rgba(0,0,0,.3);
    -moz-border-radius: 50%;
    -webkit-border-radius: 50%;
    border-radius: 50%
}

.rangeslider__handle:after {
    content: "";
    display: block;
    width: 9px;
    height: 9px;
    margin: auto;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-image: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0idXRmLTgiPz4gPHN2ZyB2ZXJzaW9uPSIxLjEiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+PGRlZnM+PGxpbmVhckdyYWRpZW50IGlkPSJncmFkIiBncmFkaWVudFVuaXRzPSJvYmplY3RCb3VuZGluZ0JveCIgeDE9IjAuNSIgeTE9IjAuMCIgeDI9IjAuNSIgeTI9IjEuMCI+PHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iIzAwMDAwMCIgc3RvcC1vcGFjaXR5PSIwLjEzIi8+PHN0b3Agb2Zmc2V0PSIxMDAlIiBzdG9wLWNvbG9yPSIjZmZmZmZmIiBzdG9wLW9wYWNpdHk9IjAuMCIvPjwvbGluZWFyR3JhZGllbnQ+PC9kZWZzPjxyZWN0IHg9IjAiIHk9IjAiIHdpZHRoPSIxMDAlIiBoZWlnaHQ9IjEwMCUiIGZpbGw9InVybCgjZ3JhZCkiIC8+PC9zdmc+IA==);
    background-size: 100%;
    background-image: -webkit-gradient(linear,50% 0,50% 100%,color-stop(0,rgba(0,0,0,.13)),color-stop(100%,rgba(255,255,255,0)));
    background-image: -moz-linear-gradient(rgba(0,0,0,.13),rgba(255,255,255,0));
    background-image: -webkit-linear-gradient(rgba(0,0,0,.13),rgba(255,255,255,0));
    background-image: linear-gradient(rgba(0,0,0,.13),rgba(255,255,255,0));
    -moz-border-radius: 50%;
    -webkit-border-radius: 50%;
    border-radius: 50%
}

.rangeslider--active .rangeslider__handle,.rangeslider__handle:active {
    background-image: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0idXRmLTgiPz4gPHN2ZyB2ZXJzaW9uPSIxLjEiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+PGRlZnM+PGxpbmVhckdyYWRpZW50IGlkPSJncmFkIiBncmFkaWVudFVuaXRzPSJvYmplY3RCb3VuZGluZ0JveCIgeDE9IjAuNSIgeTE9IjAuMCIgeDI9IjAuNSIgeTI9IjEuMCI+PHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iIzAwMDAwMCIgc3RvcC1vcGFjaXR5PSIwLjEiLz48c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiMwMDAwMDAiIHN0b3Atb3BhY2l0eT0iMC4xMiIvPjwvbGluZWFyR3JhZGllbnQ+PC9kZWZzPjxyZWN0IHg9IjAiIHk9IjAiIHdpZHRoPSIxMDAlIiBoZWlnaHQ9IjEwMCUiIGZpbGw9InVybCgjZ3JhZCkiIC8+PC9zdmc+IA==);
    background-size: 100%;
    background-image: -webkit-gradient(linear,50% 0,50% 100%,color-stop(0,rgba(0,0,0,.1)),color-stop(100%,rgba(0,0,0,.12)));
    background-image: -moz-linear-gradient(rgba(0,0,0,.1),rgba(0,0,0,.12));
    background-image: -webkit-linear-gradient(rgba(0,0,0,.1),rgba(0,0,0,.12));
    background-image: linear-gradient(rgba(0,0,0,.1),rgba(0,0,0,.12))
}

.rangeslider--horizontal .rangeslider__handle {
    top: -10px;
    touch-action: pan-y;
    -ms-touch-action: pan-y
}

.rangeslider--vertical .rangeslider__handle {
    left: -5px;
    touch-action: pan-x;
    -ms-touch-action: pan-x
}

input[type=range]:focus+.rangeslider .rangeslider__handle {
    -moz-box-shadow: 0 0 8px rgba(255,0,255,.9);
    -webkit-box-shadow: 0 0 8px rgba(255,0,255,.9);
    box-shadow: 0 0 8px rgba(255,0,255,.9)
}

.pp-video-container--background {
    background-color: red !important;
}

